package de.ivu.elect.business.security.control;

import javax.inject.Inject;

import de.ivu.elect.business.benutzerverwaltung.boundary.BenutzerDAO;
import de.ivu.elect.business.konfiguration.entity.KonfigurationLoader;
import de.ivu.elect.business.mandant.boundary.MandantDAO;

public class ElectUseCasePermissionFilter extends AbstractElectUseCasePermissionFilter {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient BenutzerDAO benutzerDAO;

  @Inject
  private transient MandantDAO mandantDAO;

  @Inject
  private transient KonfigurationLoader konfigurationLoader;

  @Override
  protected BenutzerDAO getBenutzerDAO() {
    return benutzerDAO;
  }

  @Override
  protected MandantDAO getMandantDAO() {
    return mandantDAO;
  }

  @Override
  protected KonfigurationLoader getKonfigurationLoader() {
    return konfigurationLoader;
  }
}
